////////////////////////////////////////////////////////////////////////////////
///
///		Title		: HTTP File accessor
///
///		Copyright (c) 2006, NHN Co., Ltd. ALL RIGHTS RESERVED
///
///		Team		: Desktop Service Development
///
////////////////////////////////////////////////////////////////////////////////
#pragma once

#include "NPFile.h"
#include "NPHTTPClient.h"
#include <atlstr.h>

/**
* @group 	PCM Base Lib	
* @brief 	http file accessor using http client
* @date		12/29/2006
* @author	samtree
* @remark	
*/
class CNPHTTPFile : public INPFile
{
public:
	virtual BOOL		Open( LPCTSTR lpszURL, DWORD dwFlags = 0 );
	virtual void		Close() {}
	virtual DWORD		Read(  void* lpBuf, DWORD dwCount = 0 );
	virtual BOOL		Write( const void* lpBuf, DWORD dwCount ) { (lpBuf); (dwCount); return FALSE; }

	virtual ULONGLONG	GetSize();

protected:
private:
	CNPHTTPClient	m_httpClient;
	CString	m_szURL;
	LONG	m_lSize;

public:
	CNPHTTPFile( void );
	virtual ~CNPHTTPFile( void );
};
